
proc()
	local path;
begin

resol2:= domain("resol2"):
resol2::info:= "Library 'resol2':\ 
 Reduction of the singularities of plane holomorphic foliations\
 and computation of the series solution":

resol2::interface:={hold(red), hold(reduccion), hold(reduccd), hold(anyadir),
hold(termino), hold(SimpleSeparatrix), hold(Putneighbors), hold(Point),
hold(Segment), hold(AbsPoint), hold(AbsSegment), hold(eigen2),
hold(neighbors)}:

path:=pathname("RESOL2"):

resol2::red:=		loadproc(resol2::red,		path,	"red"):
resol2::reduccion:=	loadproc(resol2::reduccion,	path,	"redon"):
resol2::reduccd:=	loadproc(resol2::reduccd,	path,	"reduccd"):
resol2::anyadir:=	loadproc(resol2::anyadir,	path,	"anyadir"):
resol2::termino:=	loadproc(resol2::termino,	path,	"termino"):
resol2::SimpleSeparatrix:=loadproc(resol2::SimpleSeparatrix,	path,
"separ"):
resol2::Putneighbors:=loadproc(resol2::Putneighbors,	path,
"ptsgt"):
resol2::Point:=		loadproc(resol2::Point,		path,	"ptsgt"):
resol2::Segment:=	loadproc(resol2::Segment,	path,	"ptsgt"):
resol2::AbsSegment:=	loadproc(resol2::AbsSegment,	path,	"ptsgt"):
resol2::AbsPoint:=	loadproc(resol2::AbsPoint,	path,	"ptsgt"):
resol2::eigen2:=	loadproc(resol2::eigen2,	path,	"eigen2"):
resol2::neighbors:=	loadproc(resol2::neighbors,	path,	"neighb"):
export(Network):
end_proc():