#++
resol2::termino  - extract the homogeneous term of order 'n' of a polynomial a list of variables

resol2::termino(n,polinomio,v)

n         - the order
polinomio - the polynomial
v         - the variables
++#

#++
resol2::termino  - output
                     m

m   - a homogeneous polynomial (in the variables 'v') of degree 'n'. Notice that anything
      different from the variables 'v' is treated as an element of the base field.
++#
resol2::termino := proc(n, polinomio, v) 
	     local m, i, vars, nn, pol;
	   begin
    /*no se como se hace if not(type(pol,polynom(anything,v))) then error
          (pol,` is not a polynomial in`, v): fi: */
	     vars := v;
	     pol := expand(collect(polinomio,vars)); /* sort polinomio */
	     nn := n;
	     m := 0; /* this is going to be the output */
	     i:=1;
/* counter
  the following conditional is to avoid errors if polinomio is a monomial or if it
  is not a true polynomial in "v" */
	     if ((type(pol)="_mult") or type(pol)="_power") then
	       if ldegree(pol,vars)=nn then m:=pol else m:=0 end_if:
	       i:=nops(pol)+1: /* to avoid ldgree failing */
	     end_if:
	     while (i<=nops(pol)) do
	       if (ldegree(op(pol,i),vars)=nn) then
		 m := m + op(pol, i)
	       else:
	       end_if:
	       i:=i+1:
	     end_while;
	     return(m)
	   end_proc: